summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@lukeshu.com>2017-05-02 22:54:32 -0400
committerLuke Shumaker <lukeshu@lukeshu.com>2017-05-03 01:08:44 -0400
commit35feab2704cba93d8dab4417ca2e94fd27de3b38 (patch)
tree35a771f0e26b9616874fecd6fcb304f059cd1793 /test
parentdcaca30f938f1c28767eb8cf5a21a02289fc3a41 (diff)
test: libredbdiff: Add another check for the option parser.
Diffstat (limited to 'test')
-rw-r--r--test/libredbdiff-test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/libredbdiff-test.sh b/test/libredbdiff-test.sh
index 8602b5c..ca0aad4 100644
--- a/test/libredbdiff-test.sh
+++ b/test/libredbdiff-test.sh
@@ -37,3 +37,13 @@ it_handles_packages_with_multiple_provides_implicit() {
empty $tmpdir/stderr
diff -w ../expected-implicit.txt $tmpdir/stdout
}
+
+it_fails_on_bad_repo_args() {
+ cd libredbdiff.d/statedir
+
+ libredbdiff -n bogus >$tmpdir/stdout 2>$tmpdir/stderr || stat=$?
+
+ [[ $stat != 0 ]]
+ empty $tmpdir/stdout
+ not empty $tmpdir/stderr
+}